/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
// This file is reserved for general evir css

html {
  font-size: 62.5%;
}

.loading-screen {
  position: static;
  .ant-spin-container {
    position: static;
  }

  &.ant-spin-nested-loading {
    position: static;
    & > div > .ant-spin {
      position: fixed;
      top: 50%;
      transform: translateY(-50%);
    }
  }
}

.evir-navbar-component .ant-menu-root {
  font-size: 1.4rem;
  .submenu-selected {
    background: none !important;
  }
  // Level1
  & > .ant-menu-submenu {
    & > .ant-menu-submenu-title {
      overflow: visible;
      font-size: 1.6rem;
      padding: 0 !important;
      display: block;
      &:after {
        content: '';
        display: block;
        border-bottom: 1px solid @platfrom-blue1;
        height: 0;
        margin: 0 24px;
      }
      & > span {
        display: block;
        font-weight: 500;
        color: @platfrom-blue1;
        border: 0;
        padding: 10px 25px;
        &:focus {
          display: block;
          outline: 0;
          span {
            line-height: 20px;
            margin: 10px 24px;
          }
        }
        &:disabled {
          color: @text-disabled-color;
        }
      }
      &:hover,
      &:focus {
        color: @platfrom-blue1 !important;
      }

      .ant-menu-submenu-arrow {
        display: none;
      }
      & + .ant-menu-sub {
        padding-top: 10px;
      }
    }
    &.ant-menu-submenu-open {
      &.submenu-selected {
        & > .ant-menu-submenu-title {
          background: @platform-blue4;
        }
      }
      & > .ant-menu-submenu-title {
        & > .ant-menu-submenu-arrow {
          display: block;
          bottom: -3px;
          left: 32px;
          top: auto;
          position: relative;

          .svg-holder {
            top: -11px;
            left: 2px;
          }

          &:after,
          &:before {
            top: 100%;
            left: 50%;
            border: solid transparent;
            content: '';
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            transform: rotate(0deg) translateX(0) !important;
            display: block;
          }

          &:after {
            border-color: rgba(255, 255, 255, 0);
            border-top-color: #fff;
            border-width: 5px;
            margin-left: -5px;
          }
          &:before {
            border-color: rgba(194, 225, 245, 0);
            border-top-color: @platfrom-blue1;
            border-width: 6px;
            margin-left: -6px;
          }
        }
      }
    }

    // level2
    & > .ant-menu-sub {
      & > .ant-menu-item-only-child {
        padding-left: 38px !important;
      }
      & > .ant-menu-submenu {
        & > .ant-menu-submenu-title {
          display: block;
          padding-left: 38px !important;
          & > .ant-menu-submenu-arrow {
            left: 23px;
          }
        }
        &.submenu-selected {
          background: none;
          & > .ant-menu-submenu-title {
            background: @platform-blue4;
          }
        }

        // Level 3
        & > .ant-menu-sub {
          .ant-menu-item-only-child {
            padding-left: 52px !important;
          }
          & > .ant-menu-submenu {
            &.submenu-selected {
              & > .ant-menu-submenu-title {
                background: @platform-blue4;
              }
            }
          }
          & > .ant-menu-item-group .ant-menu-item-group-list {
            & > .submenu-selected {
              & > .ant-menu-submenu-title {
                background: @platform-blue4;
              }
            }
          }
          & > .ant-menu-item {
            padding-left: 52px !important;
          }
          .ant-menu-submenu-title {
            display: block;
            padding-left: 52px !important;
            & > .ant-menu-submenu-arrow {
              left: 38px;
            }
          }
          & > .ant-menu-submenu,
          & > .ant-menu-item-group {
            // level 4
            .ant-menu-sub {
              & > .ant-menu-item {
                padding-left: 66px !important;
              }
            }
          }
        }
      }
    }
  }
  .ant-menu-submenu-title {
    height: auto !important;
  }
  .ant-menu-item-group-title {
    height: auto;
    color: @platform-text-color;
    line-height: 20px;
    padding-left: 38px;
    font-size: 1.4rem;
  }
}

.evir-links-list {
  list-style: none;
  margin: 0;
  padding: 0 0 6px;
  border-bottom: 1px solid @platform-blue3;
  &:last-child {
    border-bottom: 0;
  }
  li {
    margin: 18px 0;
    .ant-btn-link {
      font-size: 1.8rem;
      &:after {
        content: '>';
        margin-left: 10px;
      }
      &:not(:disabled) {
        color: @platfrom-blue1;
        &:focus,
        &:hover {
          color: @platform-btn-primary-color;
        }
      }
    }
  }
}
